main = {
	{ x = 1, y = 5, w = 36, h = 75 },	-- frame 0
	{ x = 41, y = 5, w = 38, h = 75 },	-- frame 1
	{ x = 81, y = 5, w = 39, h = 75 },	-- frame 2
	{ x = 121, y = 5, w = 39, h = 75 },	-- frame 3
	{ x = 161, y = 5, w = 36, h = 75 },	-- frame 4
	{ x = 201, y = 5, w = 54, h = 75 },	-- frame 5
	{ x = 257, y = 5, w = 40, h = 75 },	-- frame 6
	{ x = 305, y = 5, w = 42, h = 75 },	-- frame 7
	{ x = 353, y = 5, w = 60, h = 76 },	-- frame 8
	{ x = 417, y = 5, w = 48, h = 75 },	-- frame 9
	{ x = 470, y = 5, w = 40, h = 75 },	-- frame 10
	{ x = 1, y = 87, w = 34, h = 81 },	-- frame 11
	{ x = 41, y = 90, w = 68, h = 78 },	-- frame 12
	{ x = 123, y = 92, w = 52, h = 77 },	-- frame 13
	{ x = 185, y = 99, w = 104, h = 69 },	-- frame 14
	{ x = 297, y = 100, w = 104, h = 68 },	-- frame 15
	{ x = 409, y = 90, w = 33, h = 78 },	-- frame 16
	{ x = 449, y = 93, w = 36, h = 75 },	-- frame 17
	{ x = 1, y = 171, w = 38, h = 78 },	-- frame 18
	{ x = 41, y = 171, w = 38, h = 77 },	-- frame 19
	{ x = 81, y = 171, w = 38, h = 77 },	-- frame 20
	{ x = 121, y = 171, w = 38, h = 77 },	-- frame 21
	{ x = 163, y = 173, w = 33, h = 75 },	-- frame 22
	{ x = 201, y = 180, w = 33, h = 68 },	-- frame 23
	{ x = 241, y = 193, w = 33, h = 55 },	-- frame 24
	{ x = 281, y = 218, w = 49, h = 30 },	-- frame 25
	{ x = 336, y = 223, w = 57, h = 25 },	-- frame 26
	{ x = 400, y = 227, w = 59, h = 21 },	-- frame 27
	{ x = 8, y = 331, w = 52, h = 79 },	-- frame 28
	{ x = 67, y = 331, w = 46, h = 79 },	-- frame 29
	{ x = 119, y = 334, w = 51, h = 77 },	-- frame 30
	{ x = 173, y = 334, w = 51, h = 77 },	-- frame 31
	{ x = 229, y = 334, w = 48, h = 77 },	-- frame 32
	{ x = 278, y = 336, w = 49, h = 75 },	-- frame 33
	{ x = 327, y = 341, w = 52, h = 69 },	-- frame 34
	{ x = 382, y = 339, w = 59, h = 67 }
}
count = #main

overlay = {
	{
		{ x = 2, y = 265, w = 26, h = 36, ox = -6, oy = 7 },	-- frame 0
		{ x = 31, y = 268, w = 24, h = 29, ox = -1, oy = 10 },	-- frame 1
		{ x = 54, y = 266, w = 26, h = 34, ox = -2, oy = 9 },	-- frame 2
		{ x = 79, y = 268, w = 24, h = 29, ox = -1, oy = 11 },	-- frame 3
		{ x = 103, y = 266, w = 22, h = 32, ox = -1, oy = 9 },	-- frame 4
		{ x = 123, y = 268, w = 29, h = 30, ox = 7, oy = 11 },	-- frame 5
		{ x = 150, y = 268, w = 24, h = 30, ox = 2, oy = 11 },	-- frame 6
		{ x = 174, y = 269, w = 24, h = 31, ox = 5, oy = 13 },	-- frame 7
		{ x = 196, y = 267, w = 27, h = 29, ox = 15, oy = 10 },	-- frame 8
		{ x = 223, y = 266, w = 24, h = 32, ox = 11, oy = 10 },	-- frame 9
		{ x = 247, y = 268, w = 23, h = 28, ox = 3, oy = 12 },	-- frame 10
		{ x = 270, y = 268, w = 20, h = 32, ox = 5, oy = 14 },	-- frame 11
		{ x = 293, y = 269, w = 31, h = 30, ox = 17, oy = 15 },	-- frame 12
		{ x = 326, y = 270, w = 23, h = 29, ox = 14, oy = 15 },	-- frame 13
		{ x = 348, y = 271, w = 34, h = 29, ox = 27, oy = 11 },	-- frame 14
		{ x = 382, y = 266, w = 32, h = 34, ox = 29, oy = 5 },	-- frame 15
		{ x = 414, y = 264, w = 24, h = 34, ox = -2, oy = 11 },	-- frame 16
		{ x = 438, y = 263, w = 24, h = 36, ox = -2, oy = 5 },	-- frame 17
		{ x = 461, y = 265, w = 25, h = 33, ox = -1, oy = 9 },	-- frame 18
		{ x = 486, y = 263, w = 25, h = 36, ox = 4, oy = 6 },	-- frame 19
		{ x = 3, y = 307, w = 27, h = 25, ox = 2, oy = 8 },	-- frame 20
		{ x = 32, y = 307, w = 17, h = 25, ox = 7, oy = 8 },	-- frame 21
		{ x = 54, y = 309, w = 19, h = 21, ox = 0, oy = 10 },	-- frame 22
		{ x = 79, y = 307, w = 18, h = 22, ox = 1, oy = 10 },	-- frame 23
		{ x = 102, y = 309, w = 23, h = 18, ox = 0, oy = 12 },	-- frame 24
		{ x = 125, y = 309, w = 22, h = 19, ox = -1, oy = 10 },	-- frame 25
		{ x = 150, y = 306, w = 21, h = 24, ox = 1, oy = 7 },	-- frame 26
		{ x = 174, y = 305, w = 24, h = 23, ox = 3, oy = 2 },	-- frame 27
		{ x = 16, y = 428, w = 17, h = 25, ox = 16, oy = 20 },	-- frame 28
		{ x = 38, y = 426, w = 20, h = 26, ox = 10, oy = 20 },	-- frame 29
		{ x = 62, y = 424, w = 21, h = 29, ox = 15, oy = 15 },	-- frame 30
		{ x = 87, y = 423, w = 1, h = 1, ox = 0, oy = 0 },	-- frame 31
		{ x = 86, y = 422, w = 29, h = 31, ox = 8, oy = 14 },	-- frame 32
		{ x = 119, y = 422, w = 26, h = 29, ox = 9, oy = 13 },	-- frame 33
		{ x = 148, y = 429, w = 38, h = 24, ox = 4, oy = 14 },	-- frame 34
		{ x = 188, y = 427, w = 21, h = 23, ox = 20, oy = 13 }
	}
}
