main = {
	{ x = 0, y = 0, w = 64, h = 64 },	-- frame 0
	{ x = 64, y = 0, w = 64, h = 64 },	-- frame 1
	{ x = 0, y = 64, w = 64, h = 64 },	-- frame 2
	{ x = 64, y = 64, w = 64, h = 64 },	-- frame 3

	{ x = 128, y = 0, w = 64, h = 64 },	-- frame 4
	{ x = 192, y = 0, w = 64, h = 64 },	-- frame 5
	{ x = 128, y = 64, w = 64, h = 64 },	-- frame 6
	{ x = 192, y = 64, w = 64, h = 64 },	-- frame 7

	{ x = 256, y = 0, w = 64, h = 64 },	-- frame 8
	{ x = 320, y = 0, w = 64, h = 64 },	-- frame 9
	{ x = 256, y = 64, w = 64, h = 64 },	-- frame 10
	{ x = 320, y = 64, w = 64, h = 64 },	-- frame 11

	{ x = 0, y = 128, w = 64, h = 64 },	-- frame 12
	{ x = 64, y = 128, w = 64, h = 64 },	-- frame 13
	{ x = 0, y = 192, w = 64, h = 64 },	-- frame 14
	{ x = 64, y = 192, w = 64, h = 64 },	-- frame 15

	{ x = 128, y = 128, w = 64, h = 64 },	-- frame 16
	{ x = 192, y = 128, w = 64, h = 64 },	-- frame 17
	{ x = 128, y = 192, w = 64, h = 64 },	-- frame 18
	{ x = 192, y = 192, w = 64, h = 64 },	-- frame 19

	{ x = 256, y = 128, w = 64, h = 64 },	-- frame 20
	{ x = 320, y = 128, w = 64, h = 64 },	-- frame 21
	{ x = 256, y = 192, w = 64, h = 64 },	-- frame 22
	{ x = 320, y = 192, w = 64, h = 64 },	-- frame 23

	{ x = 384, y = 0, w = 64, h = 64 },	-- frame 24
	{ x = 448, y = 0, w = 64, h = 64 },	-- frame 25
	{ x = 384, y = 64, w = 64, h = 64 },	-- frame 26
	{ x = 448, y = 64, w = 64, h = 64 }, -- frame 27
	
	{ x = 384, y = 128, w = 32, h = 32 },
	{ x = 416, y = 128, w = 32, h = 32 },
	{ x = 384, y = 160, w = 32, h = 32 },

	{ x = 448, y = 128, w = 32, h = 32 },
	{ x = 480, y = 128, w = 32, h = 32 },
	{ x = 448, y = 160, w = 32, h = 32 },
	{ x = 480, y = 160, w = 32, h = 32 },

	{ x = 0, y = 256, w = 64, h = 64 },	-- frame 35
}

overlay = {
	{
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },

		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },

		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },

		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },

		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },

		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },

		{ x = 128, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 128, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 128, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 128, y = 256, w = 64, h = 64, ox = 0, oy = 0 },

		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },

		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },

		{ x = 64, y = 256, w = 64, h = 64, ox = 0, oy = 0 },
	},
	{
		{ x = 384, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 384, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 384, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },

		{ x = 384, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 384, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 384, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },

		{ x = 384, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 384, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 384, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },

		{ x = 384, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 384, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 384, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },

		{ x = 449, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 449, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 449, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },

		{ x = 449, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 449, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 449, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },

		{ x = 449, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 449, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 449, y = 192, w = 64, h = 64, ox = 0, oy = 0 },
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },

		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },

		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },
		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },

		{ x = 0, y = 0, w = 0, h = 0, ox = 0, oy = 0 },
	},
}
