language = "EN"
dictionary =
{
	["WEATHER_FULL"] = "FULL",
	["WEATHER_PARTIAL"] = "PARTIAL",
	["WEATHER_NONE"] = "NONE",
	["MUTE_ON"] = "ON",
	["MUTE_OFF"] = "OFF",

	["DIALOGUE_SOH"] = "/cffff00SOH-chan",
	["DIALOGUE_UNKNOWN"] = "/cffff00???",
	["DIALOGUE_PROFESSOR"] = "/cffff00Professor",
	["DIALOGUE_UNYL"] = "/cffff00Unyl-chan",
	["DIALOGUE_CAPTAIN"] = "/cffff00Captain",
	["DIALOGUE_GUARD"] = "/cffff00Guard",
	["DIALOGUE_ENEMY1"] = "/cffff00Enemy 1",
	["DIALOGUE_ENEMY2"] = "/cffff00Enemy 2",
	["DIALOGUE1-1"] = "What...? Where am I?",
	["DIALOGUE1-2"] = "You don't remember? This is worse than we expected",
	["DIALOGUE1-3"] = "Who's there?",
	["DIALOGUE1-4"] = "Looks like we don't have much time for questions right now. Listen carefully, I'll try to explain what you need to do.",
	["DIALOGUE1-5"] = "I'm listening.",
	["DIALOGUE1-6"] = "Then get to the important part, I'll figure out the rest. /c9999ff(SKIP INTRODUCTION)",
	["DIALOGUE1-7"] = "Press /c9999ff%s /cffffffto interrupt the Professor with a remark where it is possible. It will not stop his instructions, but may alter the course of the dialogue in some cases.",
	["DIALOGUE1-8"] = "Okay, first things first - what you see around is not real, it is actually a VR.",
	["DIALOGUE1-9"] = "I can't see that much, actually",
	["DIALOGUE1-10"] = "It must be because of the synchronisation problem.",
	["DIALOGUE1-11"] = "You have been sent there to destroy the AI from the inside. But be careful, it can kill you back in real life if you are too reckless.",
	["DIALOGUE1-12"] = "But why me? And why from the inside?",
	["DIALOGUE1-13"] = "You volunteered. Truth be told, I am not very comfortable with this, but someone had to do it. And going from the inside is our only option right now.",
	["DIALOGUE1-14"] = "The AI core must be located somewhere in the city to the north, try to reach it as quick as possible.",
	["DIALOGUE1-15"] = "You said this is a VR, why not just send me to the city to begin with?",
	["DIALOGUE1-16"] = "Don't rush it, I'm getting to that. It's not that easy.",
	["DIALOGUE1-17"] = "This AI is not very happy with us trying to turn it off, naturally. He tracked your entrance and tried to interfere hence the synchronisation problems and temporal memory loss. Don't worry, you will  recall eveything in time.",
	["DIALOGUE1-18"] = "Well, it looks like I was able to fill you in on the most important part. Good. We may actually have more time than I expected. Remember, you are not alone there.",
	["DIALOGUE1-19"] = "Huh? I don't see anyone else.",
	["DIALOGUE1-20"] = "...Yes, there were some trouble with that too. You see, we actually sent an AI specialist with you to help...",
	["DIALOGUE1-21"] = "Um-m... That must be me...",
	["DIALOGUE1-22"] = "Ah, you have finnaly came to your senses too! That's right, I was talking about you.",
	["DIALOGUE1-23"] = "Just try and stay back... wherever you are.",
	["DIALOGUE1-24"] = "...But that AI interference I meantioned before? Well, you see, it looks like some of the VR link objects were corrupted.",
	["DIALOGUE1-25"] = "What? Oh wait, I have an AI expert with me. What did he just say? I don't get it.",
	["DIALOGUE1-26"] = "Um-m... Me? Well... corrupted objects... I think this means that some of our equipment is missing...",
	["DIALOGUE1-27"] = "I'm afraid it is worse than just some equipment.",
	["DIALOGUE1-28"] = "You two have to share one VR body.",
	["DIALOGUE1-29"] = "WHAT?!",
	["DIALOGUE1-30"] = "Yes, that must be quite shocking. Of course, only one of you can control it at any given time.",
	["DIALOGUE1-31"] = "And you saved THAT for the 'unimportant' part?!",
	["DIALOGUE1-32"] = "You would have been able to figure that out even if our link was interrupted. Your mission, on the other hand, is not that obvious.",
	["DIALOGUE1-33"] = "I'm not feeling well... Everyting seems dark.",
	["DIALOGUE1-34"] = "This is not a good sign. Your synchronisation value is probably falling because you lack a VR body. Don't forget to switch once in a while.",
	["DIALOGUE1-35"] = "Just when I thought it would be easy to keep her from harm. I mean, it's not going to be a walk in a park, right?",
	["DIALOGUE1-36"] = "Yes, you should expect resistance.",
	["DIALOGUE1-37"] = "Do you have any combat training?",
	["DIALOGUE1-38"] = "...I'll try.",
	["DIALOGUE1-39"] = "Pay attention to your synchronisation bar. If it will get too far to the side, one of your characters will start to lose health. The closer to the side it is, however, the more powerful abilities the other character has.",
	["DIALOGUE1-40"] = "Press /c9999ff%s /cffffffto switch controlled character and reverse the movement of the synchronistaion mark. Collectable items will move the mark closer to the center.",
	["DIALOGUE1-41"] = "Keep an eye out for objects you can interact with, however. It will probably help you to stay focused. And one more thing...",
	["DIALOGUE1-42"] = "...FGSFDS...destoy...GLAGHRBHL^H....option...%%not real%%... (NO CARRIER)",
	["DIALOGUE1-43"] = "Hello?",
	["DIALOGUE1-44"] = "Looks like we are on our own now.",
	
	["DIALOGUE2-1"] = "A wall? In the middle of the forest? Now, that's strange.",
	["DIALOGUE2-2"] = "Maybe we should just go around it?",
	["DIALOGUE2-3"] = "No, that would feel like... cheating.",
	
	["DIALOGUE3-1"] = "What a cute little creature!",
	["DIALOGUE3-2"] = "Be careful, it may be dangerous.",
	["DIALOGUE3-3"] = "What did I tell you?",
	
	["DIALOGUE4-1"] = "Um-m... What's this sound?",
	["DIALOGUE4-2"] = "Sound?",
	["DIALOGUE4-3"] = "Whoever is inside I doubt he is friendly.",
	
	["DIALOGUE5-1"] = "Running away?",
	["DIALOGUE5-2"] = "Oh no, you don't!",
	
	["DIALOGUE6-1"] = "Now, what is THIS?",
	["DIALOGUE6-2"] = "I think this is some kind of an energy source.",
	["DIALOGUE6-3"] = "For what?",
	["DIALOGUE6-4"] = "I don't know. But we may be able to build something with it...",
	["DIALOGUE6-5"] = 'I hope this "something" you are talking about can shoot.',
	["DIALOGUE6-6"] = "A weapon?.. Well, maybe I can do that... But only one of these is not enough. Let's search for more and see what we can do.",
	["DIALOGUE6-7"] = "Collect energy bonuses in different shapes to create additional weapons and temporary bonuses. Different combinations bring different results, so feel free to experiment!",
	
	["DIALOGUE7-1"] = "Um-m-m... can I ask you something?",
	["DIALOGUE7-2"] = "Not now, we are kind of busy here!",
	["DIALOGUE7-3"] = "Go ahead.",
	["DIALOGUE7-4"] = "Have your memories returned yet?",
	["DIALOGUE7-5"] = "Not really. But enough for our mission. Your point?",
	["DIALOGUE7-6"] = "I think the man, that we were talking with was my father.",
	["DIALOGUE7-7"] = "...okay. Anything else?",
	["DIALOGUE7-8"] = "No. But I wonder - why he didn't mention it?",
	
	["DIALOGUE8-1"] = "You okay there?",
	["DIALOGUE8-2"] = "I'm fine, just give me a second to catch my breath...",
	["DIALOGUE8-3"] = "...Yes, thanks for asking.",
	["DIALOGUE8-4"] = "Do you remember anything from the past? Have you ever been in this kind of action?",
	["DIALOGUE8-5"] = "I don't think so. But I think I remember somehing...",
	["DIALOGUE8-6"] = "What?",
	["DIALOGUE8-7"] = "You. I'm positive that's not the first time we met. And not a second either.",
	["DIALOGUE8-8"] = "Hm. Well, we'll wait and see.",

	["2011DIntro1"] = "07 jan 20XX/n18:28:00/nSecret military lab",
	["2011DIntro2"] = "Phew! It's been a long vacation and now they send me right into action. What would captain say in situation like this?",
	["2011DIntro3"] = "You can use /c9999ff%s /cffffffto interact with objects.",
	["2011DIntro4"] = "Yeah, probably something like that.",
	["2011DIntro5"] = "You know the place.",
	["2011DIntro6"] = "We're no strangers to love/nYou know the rules/nAnd so do I",
	["2011DIntro7"] = "Why even bother?/nWe both know this place",

	["2011KEY1"] = "/c99ff99Blue keycard/cffffff acquired!",
	["2011KEY2"] = "/c99ff99Red keycard/cffffff acquired!",
	["2011KEY3"] = "/c99ff99Yellow keycard/cffffff acquired!",

	["2011D11"] = "Everything's quiet?",
	["2011D12"] = "For now. I heard there was an attack not so long ago, but it was not my shift, so I don't know much.",
	["2011D13"] = "By the way, /c9999ffProfessor/cffffff was looking for you.",
	["2011D14"] = "Yeah, you go right in, no need to talk to me or even acknowledge my existance. It's not like this place is guarded or something... God, I hate this job. At least go speak with /c9999ffProfessor/cffffff.",
	["2011D15"] = "Nothing has changed from the last time you asked.",

	["2011D21"] = "What's behind this door?",
	["2011D22"] = "Do you always go around asking questions in secret military labs?",
	["2011D23"] = "As I said before - it's not for me to tell. Try asking someone in charge.",

	["2011D31"] = "I say... You look surprisingly similar to the other guy here.",
	["2011D32"] = "I have no comments on that.",

	["2011D41"] = "So... I heard /c9999ffProfessor/cffffff wished to see me?",
	["2011D42"] = "Yes, go right in.",
	["2011D43"] = "So... I heard you like mudkips?",
	["2011D44"] = "... What?",
	["2011D45"] = "Never mind.",

	["2011D51"] = "Hello.",
	["2011D52"] = "Hello. /c999999(What, you really expected some kind of meaningful conversation here?)",

	["2011D61"] = "There you are! I've been waiting for your arrival.",
	["2011D62"] = "Okay, I'm here. So, who's the target this time?",
	["2011D63"] = "This time it's a little different. You see, there was an attack on this laboratory several hours ago...",
	["2011D64"] = "And you need me to track down the attackers?",
	["2011D65"] = "No, that's not the problem here. We know exactly where they are. They are still here, actually.",
	["2011D66"] = "What?",
	["2011D67"] = "Let me explain. You remember /c9999ffDr. Lolwut/cffffff, don't you? The one who tried to steal our /c99ff99BANh2000/cffffff prototype last year?",
	["2011D68"] = "Yeah, I remember him. Blowing his helicopter up was actually kind of fun.",
	["2011D69"] = "Well, it turns out he survived. And this year he came more prepared.",
	["2011D610"] = "Note to self: do not forget to shoot an extra rocket at him this time.",
	["2011D611"] = "He attacked this place and before we knew it he grabbed the prototype again and locked himself in our test chamber.",
	["2011D612"] = "Oh yeah. I don't even have to walk anywhere this time.",
	["2011D613"] = "Did I forget to mention the doors and walls of this chamber are practically unbreakable and he stole the /c99ff99keys/cffffff?",
	["2011D614"] = "Why does everything has to be so complicated? Please don't tell me you don't have any spares.",
	["2011D615"] = "Of course we don't! It's a top secret laboratory. Highest possible level of clearance is even required to even visit our bathrooms.",
	["2011D616"] = "Fortunately for us, however, he didn't take the /c99ff99keys/cffffff with him. His henchmen have taken it and fled. We have successfuly tracked two of the three so far.",
	["2011D617"] = "That's kind of a dumb move for him, isn't it? Does he just want us to get to him?",
	["2011D618"] = "And that's where you come into play. You task will be to bring back the /c99ff99keys/cffffff before /c9999ffDr. Lolwut/cffffff will find how to use our /c99ff99prototype/cffffff.",
	["2011D619"] = "Hold it!",
	["2011D620"] = "What?",
	["2011D621"] = "Captain?",
	["2011D622"] = "What do you think you're doing? You've been on a vacation for a relatively long time now! You may (or may not) have forgotten even the most basic parts of the fieldwork, /c9999ffagent AN-292780/cffffff!",
	["2011D623"] = "You may need to go through a quick exercise to see if you are ready. Shall we?",
	["2011D624"] = "Yes",
	["2011D625"] = "No",
	["2011D626"] = "All right. But where are you anyway, captain?",
	["2011D627"] = "I am at my current location. Proceed moving to the door to the left, open it and go through.",
	["2011D628"] = "I don't have time for it now, captain!",
	["2011D629"] = "Very well. Just remember - shoot at your enemies until they die.",

	["2011D71"] = "Now, about your mission. We believe that one of the keys is currently in posession of one particular /c9999fftroll/cffffff. It seems like /c9999ffDr. Lolwut/cffffff fed this troll regulary for unknown reasons, and even gave it the access to the Internet. Because of that it is now very loayal to him, so expect resistance.",
	["2011D72"] = "Understood. Where do I find it?",
	["2011D73"] = "It lives inside a cave of a nearby mountain. You will need to pass through the forest to get there.",
	["2011D74"] = "I'll be back with the first cave soon.",
	
	["2011D81"] = "You need red, blue and yellow keys to open this door.",
	["2011D82"] = "Who even marks their keycards in colors nowadays? It's like they live in 1993.",

	["2011D91"] = "One down, two to go.",

	["2011D101"] = "You have it? Sweet! Say, do you drink beer? Catch me later, I owe you one.",

	["2011D111"] = "Excuse me, would /c9999ffdr. Lolwut/cffffff come out and play?",
	["2011D112"] = "What.",
	["2011D113"] = "Never mind.",

	["2011D121"] = "How's your twin brother?",
	["2011D122"] = "Which one of them?",
	["2011D123"] = "Forget that I asked.",

	["2011D131"] = "Don't try to stop me now.",
	["2011D132"] = "Why would I do that?",
	["2011D133"] = "I don't know. But just in case. Don't even think about it.",

	["2011D141"] = "Hello again.",
	["2011D142"] = "Hello. /c999999(Oh, come on, like something is going to change.)",

	["2011D151"] = "Have you found it?",
	["2011D152"] = "Yep, I have it right here.",
	["2011D153"] = "Excellent! Now, to the second one. We beleive it to be hidden inside the haunted house nearby. I will mark the location on your map.",
	["2011D154"] = "Updated my journal. /c999999(What? Just because you never see it doesn't mean I don't have one.)",
	["2011D155"] = "We are still unable to locate the third key, but it can wait a little bit more",
	["2011D156"] = "Then to the haunted house it is.",

	["2011D161"] = "Huh. I guess I should've consulted my map after all. All these trees look exactly the same.",
	["2011D162"] = "1 hour later",
	["2011D163"] = "You're here!",
	["2011D164"] = "...",
	["2011D165"] = "As much as I don't like it, you seem to be our only hope now.",
	["2011D166"] = "...",
	["2011D167"] = "I hope you understand that we only send you for the second key because the person in charge of it has gone missing?",
	["2011D168"] = "...",
	["2011D169"] = "Well... good luck.",

	["2011D171"] = "You. Guard her.",
	["2011D172"] = "Sure.",
	["2011D173"] = "Oh, but there's \"Raiding with Black Overlord\" on the TV in three minutes!",
	["2011D174"] = "Come on, what could possibly happen? She's locked up, has no weapons and there's a specially trained guard slowpoke here.",

	["2011D181"] = "What just happened? Well, no time for thinking. I feel naked without my weapons.",
	["2011D182"] = "You can still use /c9999ff%s /cffffffto interact with objects.",
	["2011D183"] = "When you hide behind a door, your enemies can't see you. And most of them have very short memories.",
	["2011D184"] = "Each time you pass by a camera, new enemies appear somewhere nearby. Try not to run around too much.",
	["2011D185"] = "Using keypads on the walls tend to do something, like opening nearby doors. Wait, how do I know all that? And how can you hear me?",

	["2011D191"] = "I can't leave without my weapons!",

	["2011D201"] = "It's time to chew ass and kick... It's time to kick gum... Oh, I am really bad at one-liners!",

	["2011D211"] = "Two keys are better than one.",

	["2011D221"] = "You're back...? Great! What took you so long?",
	["2011D222"] = "Got a little sidetracked. But it was still a success.",
	["2011D223"] = "I'm sure /c9999ffProfessor/cffffff would be happy to hear that.",

	["2011D231"] = "You come here often?",
	["2011D232"] = "I have always been here.",

	["2011D241"] = "Who are you?",
	["2011D242"] = "Uh-h... The answer is complicated.",
	["2011D243"] = "What do you want?",
	["2011D244"] = "Well, nothing really. I'll leave you alone forever now. /c999999(As if.)",
	
	["2011D251"] = "Special delivery, coming through!",
	["2011D252"] = "We sure missed your seriousness.",
	
	["2011D261"] = "Welcome back!",
	["2011D262"] = "Hello.  /c999999(I bet you haven't seen THAT coming!)",
	
	["2011D271"] = "A-and I'm back. And guess what I have with me! Hint: it's a key.",
	["2011D272"] = "You are back! With the key..! But this means...",
	["2011D273"] = "Yes, I bet it's the one you couldn't locate.",
	["2011D274"] = "Oh. Then could you please hurry to get the last one?",
	["2011D275"] = "Why? Is our green friend getting close to his goal or what?",
	["2011D276"] = "And that too. Actually, you see, you've been out for a long time, so we had to send a substitution.",
	["2011D277"] = "A substitution? For me? But I'm unique! I even have a second stomach for the cake and ice cream.",
	["2011D278"] = "You better go now - you may be still able to catch up with her. She is not as well-trained as you.",
	["2011D279"] = "Sure.",
	["2011D2710"] = "...",
	["2011D2711"] = "...",
	["2011D2712"] = "What are you waiting for?",
	["2011D2713"] = "Can you please mark that place on my map again? I got a little lost last time. Not like I haven't planned to search for the third key, of course.",

	["2011D281"] = "Finally! This place is sure hard to find. And empty. What about that subst...",
	["2011D282"] = "Sorry!",
	["2011D283"] = "Oh, hello.",
	["2011D284"] = "So, you are the one they sent here in my place.",
	["2011D285"] = "Yes, but...",
	["2011D286"] = "If they really think you are up to the task - let's split up to cover more area. This place sure looks like a maze.",
	["2011D287"] = "...okay.",

	["2011D291"] = "You yet again can use /c9999ff%s/cffffff to interact with objects. Make sure to check the doors, the key is somewhere inside this house!",
	["2011D292"] = "You can switch your character with /c9999ff%s/cffffff.",

	["2011D301"] = "I can't leave this place before I find the key!",
	["2011D302"] = "But... Maybe I should wait for her?",
	["2011D303"] = "I forgot about the key.",

	["2011D311"] = "You go down a short staircase and then a one-way trapdoor.",
	["2011D312"] = "I hate when that happens! At least I won't run out of torches.",

	["2011D321"] = "You've got the key? Get... out of... there, stalk... hrgfgbl...",
	["2011D322"] = "Radio? What's going on with that radio?",

	["2011D331"] = "This way, quick!",

	["2011D341"] = "It's time to end this.",

	["2011D351"] = "You've got all three? Great! Now go there and show him!",
	["2011D352"] = "What about you? Why don't you help me. You seem so eager.",
	["2011D353"] = "Don't be ridiculous. I'm on a guard post. What if someone will try to steal the entrance while I'm away?",

	["2011D361"] = "You go right in, I'm not going to stop you.",

	["2011D371"] = "Yeah, I already have some popcorn ready. I bet it would be quite a view from here.",

	["2011D381"] = "What are you doing here?",
	["2011D382"] = "Oh, nothing. Just looking around.",

	["2011D391"] = "I have nothing useful to say. In fact, I'm just a glitch.",

	["2011D401"] = "You have all three keys. I have nothing else to say to you, but: good luck.",

	["2011D411"] = "Let us begin our excercise. You change your location by moving your legs in...",
	["2011D412"] = "Okay, I'm not THAT desperate, please skip this part.",
	["2011D413"] = "Very well. Your standard-issue gun is /c99ff99SFG-9000/cffffff. Point it in general direction of your enemy and press the trigger (labeled /c9999ff%s/cffffff) to fire.",
	["2011D414"] = "Be careful! The side you are supposed to aim at your enemy is labeled with an 'enemy' marker and a directional arrow.",
	["2011D415"] = "Give it a try now and shoot a slightly humanoid figure made of snow in front of you.",

	["2011D421"] = "Good. When you encounter an actual enemy repeat this process several times, until the threat is eleminated.",
	["2011D422"] = "Now, obtain the gun upgrade near the wall by moving closer to it with your legs as per usual.",

	["2011D431"] = "Notice the icon appearing on your GUI.",
	["2011D432"] = "Notice what and where now?",
	["2011D433"] = "However, one upgrade is not enough to produce any meaningful effect. Take the second one.",
	["2011D434"] = "Hello?",

	["2011D441"] = "Okay, what's next?",
	["2011D442"] = "Now, press the switch labeled /c9999ff%s/cffffff. It will change the fire mode of your weapon.",
	["2011D443"] = "Make sure the blue light on the side is on. Then repeat the previous firing process.",
	["2011D444"] = "Don't forget to check your ammo once in a while.",
	["2011D445"] = "Try it now",

	["2011D451"] = "You can also collect several other objects if you move close enough and take it with your hands.",
	["2011D452"] = "Okay.",
	["2011D453"] = "And now the most difficult part of the exercise. There were numerous complaints on it being practically impossible to complete. It is entirely optional, but I think you're up to it.",
	["2011D454"] = "Bring it on.",
	["2011D455"] = "Uh, I guess, next time then.",
	["2011D456"] = "Here's the deal. The door before you is closed. Find means to open it and proceed inside.",

	["2011D461"] = "Now, you may (or may not) be ready for your mission. Just remember to shoot your enemies until they die and avoid their attacks.",

	["2011D471"] = "Nothing to see there.",

	["2011D481"] = "And THAT's the testing chamber? It's HUGE!",
	["2011D482"] = "Did you come here for sightseing, you simple-minded trigger-happy monkey?",
	["2011D483"] = "Who's... Oh, right. I almost forgot.",
	["2011D484"] = "Laugh now, while you still can! You will pay for what you've done to me last year tenforld! For now I have the power of BANHAMMER!",
	["2011D485"] = "You can wax-on, wax-off all you want, big guy, news fl... Wait, someone have already done this line.",
	["2011D486"] = "My flying vessel in indestructible! It spells your doom!",
	["2011D487"] = "So, who's the guy with the glasses?",
	["2011D488"] = "Ignore this lowly peon! He is completely irrelevant in the grand scheme of things!",
	["2011D489"] = "Ri-i-ight. So, are we gonna fight or not? I don't have all night.",

	["2011D491"] = "It's not over yet!",

	["2011D501"] = "No! This cannot be! I AM INVINCIBLE!!!",

	["2011D511"] = "I can't leave just yet",

	["2011DLOCKED"] = "It's locked!",

	["PEAR15_BACKSTORY_01"] = "{color=0.2,1,0.25,1}PREVIOUSLY",
	["PEAR15_BACKSTORY_02"] = "{color=0.9,0.7,0.1,1}on iiChantra P.E.A.R.",
	["PEAR15_BACKSTORY_03"] = "{font=small}/c9999ffSpecial agent AN-292780/cffffff returns to /c99ff99the Laboratary/cffffff after an extended vacation and finds it in the middle of a crisis.",
	["PEAR15_BACKSTORY_04"] = "{font=small}/c9999ffDoctor Lolwut/cffffff and his henchmen attacked /c99ff99the Laboratory/cffffff and captured the prototype /n/c99ff99BANh2000 Hammer/cffffff. Desperatly trying to buy himself more time, /c9999ffDoctor/cffffff locks himself up inside the third testing chamber, while his minions hide three /c99ff99keycards/cffffff needed to open it.",
	["PEAR15_BACKSTORY_05"] = "{font=small}Guided by the /c9999ffProfessor/cffffff and the /c9999ffCaptain/cffffff, agent goes out on a search for it.",
	["PEAR15_BACKSTORY_06"] = "{font=small}Inside a /c99ff99cave/cffffff in the middle of the forest she defeats the /c9999ffCave Troll/cffffff and aquires one of the /c99ff99keycards/cffffff, but gets into an ambush afterwards and finds herself inside the /c99ff99Doctor's Secret Base/cffffff.",
	["PEAR15_BACKSTORY_07"] = "{font=small}Thanks to the unseen help of the /c9999ffmysterious ally/cffffff, she escapes her cell, gets her weapons back and finds the second /c99ff99keycard/cffffff. After blowing up the /c9999ffII-24/cffffff attack helicopter she finally leaves the base.",
	["PEAR15_BACKSTORY_08"] = "{font=small}After the triumphant return to /c99ff99the Laboratory/cffffff she finds out, that /c9999ffanother person from the Laboratory/cffffff was already sent for the third /c99ff99keycard/cffffff in her absence and rushes to catch up with her.",
	["PEAR15_BACKSTORY_09"] = "{font=small}Inside the /c99ff99Haunted House/cffffff they split up and successfuly recover the last /c99ff99keycard/cffffff. On their way out they encounter seemingly invincible /n/c9999ffguy with a strange helmet/cffffff and barely escape.",
	["PEAR15_BACKSTORY_10"] = '{font=small}With all three /c99ff99keycards/cffffff at hand, agent finally gets inside the test chamber only to find out that she is too late. /c9999ffDoctor Lolwut/cffffff have partially activated the /c99ff99prototype/cffffff and is using /c9999ffone of his henchmen/cffffff to power up his flying booth "/c99ff99Bitardis/cffffff" with /c99ff99Ban energy/cffffff.',
	["PEAR15_BACKSTORY_11"] = "{font=small}After an intense fight /c9999ffDoctor/cffffff's booth explodes, leaving nothing behind.",
	["PEAR15_BACKSTORY_12"] = "{font=small}Now, after more than a year from these events, /c9999ffProfessor/cffffff requests you for another important mission...",
}
