texture = "house-debris";

z = 0.5;

physic = 1;
phys_dynamic = 1;
gravity_y = 0.8
phys_max_vel_y = 20
ghost_to = 255

animations =
{
	{
		name = "init";
		frames =
		{
			{ dur = 1 },
			{ param = function( obj )
				mapvar.tmp[obj] = math.random( 5, 14 )
				obj:vel( obj:gravity( { x = 0, y = 0.8 } ) )
			end },
			{ com = constants.AnimComSetAnim; txt = "fall" },
			
		}
	},
	{
		name = "big";
		frames =
		{
			{ param = function( obj )
				mapvar.tmp[obj] = math.random( 0, 4 )
				obj:vel( obj:gravity( { x = 0, y = 0.8 } ) )
			end },
			{ com = constants.AnimComSetAnim; txt = "fall" },
			
		}
	},
	{
		name = "fall";
		frames =
		{
			{},
			{ dur = 200; param = function(obj) return 0, nil, mapvar.tmp[obj] end },
			{ com = constants.AnimComJump; param = function(obj) if ObjectOnScreen( obj, 100 ) then return 0 else return 2 end end },
			{ com = constants.AnimComDestroyObject }
		}
	}
}
